Skip to main content
PATCH
Update an existing policy data

Authorizations

X-API-Key
string
header
required

Query Parameters

policy_id
string

Body

Serializer for updating policy holder-related information within a policy. Only allows updates to the following fields: first_name, last_name, dob, email, and address.

policy_id
string<uuid>
policy_holder
object

Response

Policy updated successfully

Serializer for the Policy model

policy_id
string<uuid>
required
read-only

Unique identifier for the policy

policy_number
string | null
required
read-only

Policy Refrence Number assigned by the insurer e.g GI86585700-1, AXA2024727-2, LEAD18002-42, etc

effective_from
string<date>
required
read-only

Date the policy becomes active - determined by the time of purchase

effective_through
string<date>
required
read-only

Date the policy expires

premium
string<decimal>
required
read-only

Amount paid for the policy

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
policy_holder
object
required
merchant
string
required
provider
object
required
coverage
string | null
required
read-only

Coverage details for the policy

policy_type
string
required
read-only

Returns the type of the policy

renewable
boolean
required
read-only

Indicates if the policy is renewable

renewal_date
string<date-time> | null
required
read-only

Date when this insurance policy is due for renewal

inspection_required
boolean
required
read-only

Indicates if an inspection is required before the policy can be purchased

cerfication_required
boolean
required
read-only

Indicates if any certifications are required before the policy can be purchased

status
enum<string>
required

Current status of the policy

  • accepted - Accepted
  • cancelled - Cancelled
  • active - Active
Available options:
accepted,
cancelled,
active
cancellation_initiator
string | null
required
read-only

Who requested for cancellation of this policy?

cancellation_reason
string | null
required
read-only

Reason for policy cancellation

cancellation_date
string<date-time> | null
required
read-only

Date when the policy was cancelled

beneficiaries
object[]
required